ONVIF::Device::Elements::GetDot11CapabilitiesResponse(3)

NAME
ONVIF::Device::Elements::GetDot11CapabilitiesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetDot11CapabilitiesResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Capabilities

     $element->set_Capabilities($data);
     $element->get_Capabilities();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetDot11CapabilitiesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Capabilities =>  { # ONVIF::Device::Types::Dot11Capabilities
     TKIP =>  $some_value, # boolean
     ScanAvailableNetworks =>  $some_value, # boolean
     MultipleConfiguration =>  $some_value, # boolean
     AdHocStationMode =>  $some_value, # boolean
     WEP =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL